Will I need to install any software to use NexusConnect?

2019-10-02T20:53:47+00:00October 2nd, 2019|

Yes, you will need to verify that any computer that will be used to access NexusConnect has the following software and version minimums: Internet Explorer 9.0 or Higher Access to the Internet